[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGeteuid

Return effective user ID

## Declaration

Source position: bunxh.inc line 49

`function FpGeteuid: TUid;`

## Description

FpGeteuid returns the effective user ID of the currently running process.

## Errors

None.

## See also

FpGetUid |  | Return current user ID
FpGetGid |  | Return real group ID
FpGetEGid |  | Return effective group ID
FpGetPid |  | Return current process ID
FpGetPPid |  | Return parent process ID
fpSetUID |  | Set the current user ID
FpSetGid |  | Set the current group ID

## Example

    Program Example17;

    { Program to demonstrate the GetUid and GetEUid functions. }

    Uses BaseUnix;

    begin
      writeln ('User Id = ',fpgetuid,' Effective user Id = ',fpgeteuid);
    end.

Documentation generated on: Feb 26 2014